Bug 473620 - ace : Unowned directories
ace : Unowned directories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ace (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 13:29 EST by Michael Schwendt
Modified: 2008-12-13 10:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-13 10:05:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-29 13:29:31 EST
One or more directories are not included within this
package and/or its sub-packages:

=> ace-0.0.3-5.fc11.noarch (rawhide-development-i386)
/ace

Note: It uses a root-level /ace directory? How strange!
That violates the FHS.

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Michael Schwendt 2008-12-01 17:24:31 EST
It might be that you have some RPM macros in the spec file, which don't expand to the desired values. Using a %check section as one level of protection against wrong installation paths is highly recommended.
Comment 2 Fedora Update System 2008-12-02 16:26:59 EST
ace-0.0.3-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ace-0.0.3-7.fc10
Comment 3 Michael Schwendt 2008-12-04 13:15:24 EST
More unowned directories:

=> ace-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules

=> ace-apache-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules
/usr/share/ace/modules/apache

=> ace-banners-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules
/usr/share/ace/modules/banners

=> ace-basic-site-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules
/usr/share/ace/modules/basic-site

=> ace-mysql-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules
/usr/share/ace/modules/mysql

=> ace-php-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules
/usr/share/ace/modules/php

=> ace-postgres-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules
/usr/share/ace/modules/postgres

=> ace-ssh-0.0.3-7.fc11.noarch (rawhide-development-i386)
/usr/share/ace
/usr/share/ace/modules
/usr/share/ace/modules/ssh
Comment 4 Fedora Update System 2008-12-06 23:25:17 EST
ace-0.0.3-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10846
Comment 5 Fedora Update System 2008-12-13 10:05:47 EST
ace-0.0.3-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.